Draft Downgrade: Difference between revisions

From FreeCAD Documentation
mNo edit summary
m (→)
Line 1: Line 1:
<translate>
<translate>
<!--T:1-->
<!--T:1-->
{{GuiCommand|Name=Draft Downgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Downgrade|Shortcut=D N|SeeAlso=[[Draft Upgrade|Draft Upgrade]]}}
{{GuiCommand|Name=Draft Downgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft Downgrade|Shortcut=D N|SeeAlso=[[Draft Upgrade|Draft Upgrade]]}}


==Description== <!--T:2-->
==Description== <!--T:2-->

Revision as of 09:52, 3 May 2018

Draft Downgrade

Menu location
Draft → Downgrade
Workbenches
Draft, Arch
Default shortcut
D N
Introduced in version
-
See also
Draft Upgrade

Description

This tool downgrades selected objects in different ways. If no object is selected, you will be invited to select one.

How to use

  1. Select one or more objects you want to downgrade
  2. Press the Draft Downgrade button or press D then N keys

Options

The selected objects are modified/downgraded, according to the following conditions (in order):

  • if only one object is selected and it contains more than one face, each face becomes a separate object
  • if there are more than one face in the selection, the subsequent objects are subtracted from the first one
  • if there is only one face in the selection, it gets converted into a wire
  • otherwise all wires found in the selection are exploded into single edges

Example

Scripting

The Downgrade tool can be used in python scripts and macros by using the following function:

downgrade (objects, [delete], [force])
  • Downgrades the given object(s) (can be an object or a list of objects).
  • If delete is True, old objects are deleted.
  • The force attribute can be used to force a certain way of downgrading. It can be: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
  • Returns a dictionary containing two lists, a list of new objects and a list of objects to be deleted

Example:

import FreeCADGui,Draft
selection = FreeCADGui.Selection.getSelection()
Draft.downgrade(selection)